<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Login Page</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
          integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <link rel="stylesheet" href="../static/css/login-style.css" th:href="@{/css/login-style.css}">
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">
</head>

<body>
<div th:replace="fragments/navigation-bar.html :: header"></div>

<div class="container">
    <div class="d-flex justify-content-center h-100">
        <div class="card">
            <div class="card-header">
                <h3>Sign In</h3>
            </div>
            <div class="card-body">
                <form th:action="@{/authenticate}" method="post">
                    <p>
                        <i th:if="${param.error}" class="error">
                            Wrong username or password.
                        </i>
                        <i th:if="${param.logout}" clas="text-white">
                            You have successfully logged out.
                        </i>
                    </p>
                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" id="username" name="username" class="form-control" placeholder="Username"
                               required autofocus>
                    </div>
                    <div class="input-group form-group">
                        <div class="input-group-prepend">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                        <input type="password" id="password" name="password" class="form-control"
                               placeholder="Password" required>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Login" class="btn float-right login_btn">
                    </div>
                </form>
            </div>
            <div class="card-footer">
                <div class="d-flex justify-content-center links">
                    Don't have an account?<a th:href="@{/register}" href="register.html">Register</a>
                </div>
                <div class="d-flex justify-content-center">
                    <a th:href="@{/reset-password}" href="/user/reset-password">Forgot your password?</a>
                </div>
                <div class="d-flex justify-content-center">
                    <a th:href="@{/}" href="@{/}">Home page</a>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>